<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2006 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.9
  CAPTCHA Plugin 
  Based on Mod by Abbas ali(http://coppermine-gallery.net/forum/index.php?topic=29564.0)
  Plugin Writen by bmossavari at gmail dot com
  Plugin v1.7.1 modified by m@rk 2007/01/21
**********************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

// Add a filter for the gallery header
$thisplugin->add_filter('page_html','captcha_main');
// Add actions
$thisplugin->add_action('page_start','captcha_page_start');

// captcha function to modify gallery header html
function captcha_main($html) {
	global $lang_display_comments, $thisplugin, $lang_plugin_captcha_conf;
	
	if(!USER_ID) { // Remove this line if you want Captcha display to all
	
		$string = '<input type="submit" class="comment_button" name="submit" value="'.$lang_display_comments['OK'].'" />';	
		$exper = '(' . $string . ')';	

		if(preg_match($exper,$html)){	

			$newcpch  = '</td></tr></table>';
			$newcpch .= '<table width="100%" cellpadding="0" cellspacing="0"><tr>';
			$newcpch .= '<td class="tableb_compact" width="100%" align="right">' . $lang_plugin_captcha_conf . '</td>';
			$newcpch .= '<td class="tableb_compact"><input type="text" name="confirmCode" id="confirmCode" size="8" maxlength="5" class="textinput"></td>';
			$newcpch .= '<td class="tableb_compact"><img src="' . $thisplugin->fullpath . '/captcha.php" title="' . $lang_plugin_captcha_conf . '"></td>';
			$newcpch .= '<td class="tableb_compact">' . $string;

			$html = preg_replace($exper,$newcpch,$html);	// mixed preg_replace ( mixed pattern, mixed replacement, mixed subject [, int limit [, int &count]] )
		}
	}// Remove this line if you want Captcha display to all
	
	return $html;
}

function captcha_page_start()
{
	global $CONFIG, $lang_plugin_captcha_conf;	
	require ('plugins/captcha/include/init.inc.php');


	require('plugins/captcha/include/captcha.class.php');
	if(!USER_ID) { // Remove this line if you want Captcha display to all
		if (isset($_POST['msg_body']) && !PhpCaptcha::Validate($_POST['confirmCode'])) {
			load_template();
			pageheader($lang_error);
			cpg_die(ERROR, "$lang_plugin_captcha_error", __FILE__, __LINE__);
			}
	}// Remove this line if you want Captcha display to all
}
?>